Void

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Model

The request is a POST request with the following parameters:

Input ParameterTypeLengthDescription
orderObject (Order Model)-Order details. The amount field may be used to specify the amount to void, usually the full remaining authorized amount.
paymentGatewayObject (PaymentGateway Model)-Payment gateway configuration.
{    
    "order": {
        "id": "202210101255255144669",
        "reference": "11111991",
        "description": "Purchase order received for Logitech K380 Keyboard",
        "currency": "KWD",
        "amount": 0.01
    },
    "paymentGateway": {
        "src": "cc"
    }
}

Response Model

Input ParameterTypeMax LengthDescription
statusBoolean100true if the void request was successfully processed.
messageString100A descriptive message regarding the operation.
data.payMit.resultString100The result status from the payment gateway (e.g., "SUCCESS").
data.payMit.order.statusString20The new status of the order (e.g., "VOID").
data.transactionData.redirect_urlString (URL)255Full URL containing all transaction details for logging/notification purposes.
{
    "status": true,
    "message": "Data received successfully",
    "data": {
        "payMit": {
            "result": "SUCCESS",
            "order": {
                "status": "VOID"
            }
        },
        "transactionData": {
            "redirect_url": "https://upayments.com/en/?payment_id=7618068836316276204807&result=REVERSED&post_date=&tran_id=&ref=019a33decb4ac93ebd92b531c60ecb8e&track_id=019a33de7a051a6979fd488dfc3da0ea&auth=&order_id=019a33decb47ff29650c2370edf59407&requested_order_id=202210101255255144669&refund_order_id=019a33decb47ff29650c2370edf59407&payment_type=card&invoice_id=19124092&transaction_date=2025-10-30 09:10:48&receipt_id=019a33decb47ff29650c2370edf59407"
        }
    }
}
{
    "status": false,
    "message": "Transaction is partially captured. We can not proceed for VOID",
    "data": []
}

Path Params
string
required
Responses
200

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json